Bug 707828 - fc15 gnome - oxygen cursor reverts to regular cursor when mouse over firefox
fc15 gnome - oxygen cursor reverts to regular cursor when mouse over firefox
Product: Fedora
Classification: Fedora
Component: gsettings-desktop-schemas (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-05-26 01:45 EDT by collura
Modified: 2015-03-03 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-02 22:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description collura 2011-05-26 01:45:55 EDT
Description of problem:

oxygen-cursor-themes cursor reverts to standard cursor when mouse over a
firefox window.

with mouse over some non-firefox program windows still correctly see oxygen
cursor.  (works fine in terminal window and gedit for example)

works ok in fc14_gnome but not fc15_gnome. 

Version-Release number of selected component (if applicable):

  gsettings-desktop-schemas-3.0.1-1.f15 (noarch)
  oxygen-gtk-1.0.4-1.f15 (x86_64)
  oxygen-cursor-themes-4.6.3-5.f15 (noarch)
  compiz-0.9.4-2.f15 (x86_64)
  compiz-gtk-0.9.4-2.f15 (x86_64)

How reproducible:


Steps to Reproduce:
1. with mouse over desktop see oxygen cursor
2. with mouse over firefox window titlebar still see oxygen cursor
3. with mouse over firefox window body see regular non-oxygen cursor instead of
an expected oxygen cursor that should see
4. click on 'tools' (or other menu) in firefox menu bar and get oxygen cursor
as should until you move over on one of the items in the tools submenu we
opened at which point the cursor turns back into regular non-oxygen cursor
instead of an oxygen cursor that should see

( however, IF one of the tools (or other menu) submenu item has ANOTHER LAYER
OF SUBMENU (denoted with a '>' at end of line) then mousing over that line item
gives the CORRECT oxygen cursor as expected while the rest of the line items
without further submenu layers still only give the regular non-oxygen cursor )

Actual results:

  dont see oxygen cursor in firefox in fc15_gnome

Expected results:

  expect to see oxygen cursor in firefox as did in fc14_gnome

Additional info:

  see related bugs as follows

Comment 1 collura 2011-11-02 22:23:56 EDT
works now.

issue found upstream: 

 "Sebastien Bacher (seb128) wrote on 2011-06-22: 	#32
  Confirmed, the ubuntu-artwork gconf-defaults should be converted 
  to a gsettings-override" 

which seems to have been fixed by time f16-gnome-rc2 is out, yay.

 gsettings-desktop-schemas-3.2.0-1.fc16 (64bit)

truly wonderful. :')

(i will re-open after next random patch regresses the fix lol.)

Note You need to log in before you can comment on or make changes to this bug.